com.aliyun.svideosdk.common.struct.project

## Class AliyunEditorProject

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.AliyunEditorProject

-     public class AliyunEditorProject
      extends java.lang.Object

  工程配置 v3.23.0 新增

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.text.SimpleDateFormat` | `DATE_FORMAT`
    `static java.lang.String` | `DRAFT_DIR` 草稿存放路径
    `Timeline` | `mTimeline` 工程时间线
    `static java.lang.String` | `PROJECT_FILENAME` 工程配置文件名称
    `static int` | `PROJECT_VERSION` 当前版本
    `static java.lang.String` | `TEMPLATE_DRAFT_DIR` 模板草稿存放路径

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunEditorProject()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(ActionBase action)` 添加动效
    `void` | `addAnimationFilter(Filter filter)` 添加动态滤镜
    `void` | `addAudioTrackClip(AudioTrackClip audioTrackClip)` 添加音频片段
    `void` | `addEffect(int targetId, Effect effect)` 添加特效
    `void` | `addPasterTrack(PasterTrack pasterTrack)` 添加贴纸轨道
    `void` | `addTimeFilter(TimeFilter timeFilter)` 添加时间滤镜特效
    `void` | `clearAnimationFilters()` 清空动态滤镜
    `void` | `clearColorEffect()` 清除全局滤镜特效
    `void` | `clearEffectTrack(EffectTrack.Type type)` 清空指定的全局效果轨道
    `void` | `clearMusic()` 清空音乐
    `void` | `clearRollCaptionTrack()` 清空翻转字幕
    `void` | `clearTimeFilters()` 清空时间滤镜特效
    `java.util.List<Filter>` | `getAllAnimationFilters()` 获取动效滤镜列表
    `java.util.List<TimeFilter>` | `getAllTimeFilters()` 获取时间滤镜特效列表
    `int` | `getAudioId()` 获取上次使用的音乐特效的id
    `AudioTrackClip` | `getAudioTrackClipById(int clipId)` 根据片段id获取音频片段
    `PaintTrack` | `getCanvasTrack()` 获取涂鸦
    `Filter` | `getColorEffect()` 获取全局滤镜特效
    `Config` | `getConfig()` 获取工程配置
    `Source` | `getCover()` 获取工程封面资源
    `java.lang.String` | `getCreationTime()` 获取工程创建时间
    `float` | `getDuration()` 获取时间线时长 单位：秒
    `java.lang.String` | `getModifiedTime()` 获取工程最新修改时间
    `MVFilter` | `getMVEffect()` 获取MV滤镜特效
    `PasterTrack` | `getPasterTrackByID(int id)` 根据贴纸ID获取贴纸详细信息
    `java.util.List<PasterTrack>` | `getPasterTrackByType(PasterTrack.Type type)` 根据贴纸类别获取指定的贴纸列表
    `java.io.File` | `getProjectDir()`
    `java.io.File` | `getProjectFile()`
    `static java.io.File` | `getProjectFile(java.io.File dir)`
    `java.lang.String` | `getProjectId()` 获取工程ID
    `java.lang.String` | `getRequestID()`
    `long` | `getResourceSize()` 获取工程资源总大小(KB)
    `RollCaptionTrack` | `getRollCaptionTrack()` 获取翻转字幕轨道
    `TailWaterMark` | `getTailWaterMark()` 获取尾部水印
    `Source` | `getTemplate()` 获取关联模板 v3.27.0 添加
    `Timeline` | `getTimeline()` 获取工程时间线
    `java.lang.String` | `getTitle()` 获取工程标题
    `Uri` | `getUri()`
    `int` | `getVersion()` 获取工程配置版本
    `VideoTrackClip` | `getVideoTrackClipById(int clipId)` 根据片段id获取视频片段
    `WaterMark` | `getWaterMark()` 获取全局水印
    `boolean` | `isCustomCover()` 是否是自定义封面 v3.25.0 版本新增
    `void` | `refreshTimeLine()` 刷新时间线
    `void` | `removeActionById(int id)` 移除动效
    `void` | `removeAnimationFilter(int id)` 移除指定动态滤镜
    `void` | `removeAudioTrackClip(int clipId)` 移除音频片段
    `void` | `removeCanvasTrack()` 移除涂鸦
    `void` | `removeEffect(int targetId, Effect effect)` 移除特效
    `void` | `removePasterTrack(int id)` 移除贴纸轨道
    `void` | `removeTimeFilter(int id)` 移除时间滤镜特效
    `void` | `removeVideoTrackClip(int clipId)` 根据片段ID移除片段
    `void` | `setCanvasTrack(PaintTrack paintTrack)` 设置涂鸦
    `void` | `setColorEffect(Filter filter)` 设置全局滤镜特效
    `void` | `setCover(Source cover)` 设置工程封面资源
    `void` | `setCreationTime(java.lang.String creationTime)` 获取工程创建时间
    `void` | `setCustomCover(boolean customCover)` 设置是否是自定义封面 v3.25.0 版本新增
    `void` | `setDenoise(int id, int denoiseWeight)` 设置音频降噪权重
    `void` | `setDuration(float duration)` 设置时间线时长 单位：秒
    `void` | `setLutEffect(Filter filter)` 设置全局滤镜特效
    `void` | `setModifiedTime(java.lang.String modifiedTime)` 设置工程最新修改时间
    `void` | `setMusicWeight(int id, int weight)` 设置混音权重
    `void` | `setMVEffect(MVFilter filter)` 设置滤镜特效
    `void` | `setProjectDir(java.io.File dir, java.io.File file)`
    `void` | `setProjectId(java.lang.String projectId)` 设置工程ID
    `void` | `setRequestID(java.lang.String requestID)`
    `void` | `setResourceSize(long resourceSize)` 设置工程资源总大小(KB)
    `void` | `setRollCaptionTrack(RollCaptionTrack rollCaptionTrack)` 设置翻转字幕轨道
    `void` | `setTailWaterMark(TailWaterMark tailWaterMark)` 设置尾部水印
    `void` | `setTemplate(Source template)` 设置关联模板 v3.27.0 添加
    `void` | `setTitle(java.lang.String title)` 设置工程标题
    `void` | `setVersion(int version)` 设置工程配置版本
    `void` | `setWaterMark(WaterMark waterMark)` 设置全局水印
    `void` | `updateAnimationFilter(EffectFilter filter)` 更新动态滤镜信息
    `void` | `updateFileSize()` 更新文件大小
    `void` | `updateTransition(int clipId, TransitionBase transitionBase)` 更新转场配置

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_FORMAT

          public static final java.text.SimpleDateFormat DATE_FORMAT

    - #### DRAFT_DIR

          public static final java.lang.String DRAFT_DIR

      草稿存放路径
      See Also:
        Constant Field Values

    - #### TEMPLATE_DRAFT_DIR

          public static final java.lang.String TEMPLATE_DRAFT_DIR

      模板草稿存放路径
      See Also:
        Constant Field Values

    - #### PROJECT_FILENAME

          public static final java.lang.String PROJECT_FILENAME

      工程配置文件名称
      See Also:
        Constant Field Values

    - #### PROJECT_VERSION

          public static final int PROJECT_VERSION

      当前版本
      See Also:
        Constant Field Values

    - #### mTimeline

          public Timeline mTimeline

      工程时间线

  - ### Constructor Detail

    - #### AliyunEditorProject

          public AliyunEditorProject()

  - ### Method Detail

    - #### getRequestID

          public java.lang.String getRequestID()

    - #### setRequestID

          public void setRequestID(java.lang.String requestID)

    - #### getUri

          public Uri getUri()

    - #### getProjectFile

          public static java.io.File getProjectFile(java.io.File dir)

    - #### getProjectDir

          public java.io.File getProjectDir()

    - #### setProjectDir

          public void setProjectDir(java.io.File dir,
                                    java.io.File file)

    - #### getProjectFile

          public java.io.File getProjectFile()

    - #### updateFileSize

          public void updateFileSize()

      更新文件大小

    - #### getVersion

          public int getVersion()

      获取工程配置版本
      Returns:
        配置版本

    - #### setVersion

          public void setVersion(int version)

      设置工程配置版本
      Parameters:
        `version` - 工程配置版本

    - #### getProjectId

          public java.lang.String getProjectId()

      获取工程ID
      Returns:
        工程ID

    - #### setProjectId

          public void setProjectId(java.lang.String projectId)

      设置工程ID
      Parameters:
        `projectId` - 工程ID

    - #### getTemplate

          public Source getTemplate()

      获取关联模板 v3.27.0 添加
      Returns:
        模板

    - #### setTemplate

          public void setTemplate(Source template)

      设置关联模板 v3.27.0 添加
      Parameters:
        `template` - 关联模板

    - #### getTitle

          public java.lang.String getTitle()

      获取工程标题
      Returns:
        标题

    - #### setTitle

          public void setTitle(java.lang.String title)

      设置工程标题
      Parameters:
        `title` - 标题

    - #### getCreationTime

          public java.lang.String getCreationTime()

      获取工程创建时间
      Returns:
        创建时间

    - #### setCreationTime

          public void setCreationTime(java.lang.String creationTime)

      获取工程创建时间
      Parameters:
        `creationTime` - 创建时间

    - #### getModifiedTime

          public java.lang.String getModifiedTime()

      获取工程最新修改时间
      Returns:
        最新修改时间

    - #### setModifiedTime

          public void setModifiedTime(java.lang.String modifiedTime)

      设置工程最新修改时间
      Parameters:
        `modifiedTime` - 最新修改时间

    - #### getTimeline

          public Timeline getTimeline()

      获取工程时间线
      Returns:
        时间线

    - #### getDuration

          public float getDuration()

      获取时间线时长 单位：秒
      Returns:
        时间线时长

    - #### setDuration

          public void setDuration(float duration)

      设置时间线时长 单位：秒
      Parameters:
        `duration` - 时间线时长

    - #### getResourceSize

          public long getResourceSize()

      获取工程资源总大小(KB)
      Returns:
        资源总大小

    - #### setResourceSize

          public void setResourceSize(long resourceSize)

      设置工程资源总大小(KB)
      Parameters:
        `resourceSize` - 资源总大小

    - #### getCover

          public Source getCover()

      获取工程封面资源
      Returns:
        封面资源

    - #### setCover

          public void setCover(Source cover)

      设置工程封面资源
      Parameters:
        `cover` - 封面资源

    - #### isCustomCover

          public boolean isCustomCover()

      是否是自定义封面 v3.25.0 版本新增
      Returns:
        是否是自定义封面

    - #### setCustomCover

          public void setCustomCover(boolean customCover)

      设置是否是自定义封面 v3.25.0 版本新增
      Parameters:
        `customCover` - 是否是自定义封面

    - #### getConfig

          public Config getConfig()

      获取工程配置
      Returns:
        配置

    - #### getVideoTrackClipById

          public VideoTrackClip getVideoTrackClipById(int clipId)

      根据片段id获取视频片段
      Parameters:
        `clipId` - 片段id
      Returns:
        视频片段

    - #### removeVideoTrackClip

          public void removeVideoTrackClip(int clipId)

      根据片段ID移除片段
      Parameters:
        `clipId` - 片段id

    - #### getAudioTrackClipById

          public AudioTrackClip getAudioTrackClipById(int clipId)

      根据片段id获取音频片段
      Parameters:
        `clipId` - 片段id
      Returns:
        音频片段

    - #### addAudioTrackClip

          public void addAudioTrackClip(AudioTrackClip audioTrackClip)

      添加音频片段
      Parameters:
        `audioTrackClip` - 音频片段

    - #### removeAudioTrackClip

          public void removeAudioTrackClip(int clipId)

      移除音频片段
      Parameters:
        `clipId` - 音频片段ID

    - #### clearMusic

          public void clearMusic()

      清空音乐

    - #### getAudioId

          public int getAudioId()

      获取上次使用的音乐特效的id
      Returns:
        音乐特效的id

    - #### addAction

          public void addAction(ActionBase action)

      添加动效
      Parameters:
        `action` - 动效

    - #### removeActionById

          public void removeActionById(int id)

      移除动效
      Parameters:
        `id` - 动效ID

    - #### setMusicWeight

          public void setMusicWeight(int id,
                                     int weight)

      设置混音权重
      Parameters:
        `id` - 片段ID
        `weight` - 混音权重

    - #### setDenoise

          public void setDenoise(int id,
                                 int denoiseWeight)

      设置音频降噪权重
      Parameters:
        `id` - 片段id
        `denoiseWeight` - 降噪权重

    - #### addEffect

          public void addEffect(int targetId,
                                Effect effect)

      添加特效
      Parameters:
        `targetId` - 片段ID
        `effect` - 效果

    - #### removeEffect

          public void removeEffect(int targetId,
                                   Effect effect)

      移除特效
      Parameters:
        `targetId` - 片段ID
        `effect` - 效果

    - #### setColorEffect

          public void setColorEffect(Filter filter)

      设置全局滤镜特效
      Parameters:
        `filter` - 全局滤镜

    - #### clearColorEffect

          public void clearColorEffect()

      清除全局滤镜特效

    - #### setLutEffect

          public void setLutEffect(Filter filter)

      设置全局滤镜特效
      Parameters:
        `filter` - 全局滤镜

    - #### getColorEffect

          public Filter getColorEffect()

      获取全局滤镜特效
      Returns:
        全局滤镜

    - #### clearEffectTrack

          public void clearEffectTrack(EffectTrack.Type type)

      清空指定的全局效果轨道
      Parameters:
        `type` - 特效类型

    - #### setMVEffect

          public void setMVEffect(MVFilter filter)

      设置滤镜特效
      Parameters:
        `filter` - 滤镜特效

    - #### getMVEffect

          public MVFilter getMVEffect()

      获取MV滤镜特效
      Returns:
        MV滤镜特效

    - #### setCanvasTrack

          public void setCanvasTrack(PaintTrack paintTrack)

      设置涂鸦
      Parameters:
        `paintTrack` - 涂鸦

    - #### getCanvasTrack

          public PaintTrack getCanvasTrack()

      获取涂鸦
      Returns:
        涂鸦

    - #### removeCanvasTrack

          public void removeCanvasTrack()

      移除涂鸦

    - #### setWaterMark

          public void setWaterMark(WaterMark waterMark)

      设置全局水印
      Parameters:
        `waterMark` - 全局水印

    - #### getWaterMark

          public WaterMark getWaterMark()

      获取全局水印
      Returns:
        全局水印

    - #### setTailWaterMark

          public void setTailWaterMark(TailWaterMark tailWaterMark)

      设置尾部水印
      Parameters:
        `tailWaterMark` - 尾部水印

    - #### getTailWaterMark

          public TailWaterMark getTailWaterMark()

      获取尾部水印
      Returns:
        尾部水印

    - #### getRollCaptionTrack

          public RollCaptionTrack getRollCaptionTrack()

      获取翻转字幕轨道
      Returns:
        翻转字幕轨道

    - #### setRollCaptionTrack

          public void setRollCaptionTrack(RollCaptionTrack rollCaptionTrack)

      设置翻转字幕轨道
      Parameters:
        `rollCaptionTrack` - 翻转字幕轨道

    - #### clearRollCaptionTrack

          public void clearRollCaptionTrack()

      清空翻转字幕

    - #### updateTransition

          public void updateTransition(int clipId,
                                       TransitionBase transitionBase)

      更新转场配置
      Parameters:
        `clipId` - 片段ID
        `transitionBase` - 转场信息

    - #### addAnimationFilter

          public void addAnimationFilter(Filter filter)

      添加动态滤镜
      Parameters:
        `filter` - 动态滤镜

    - #### getAllAnimationFilters

          public java.util.List<Filter> getAllAnimationFilters()

      获取动效滤镜列表
      Returns:
        动效滤镜列表

    - #### updateAnimationFilter

          public void updateAnimationFilter(EffectFilter filter)

      更新动态滤镜信息
      Parameters:
        `filter` - 动态滤镜信息

    - #### removeAnimationFilter

          public void removeAnimationFilter(int id)

      移除指定动态滤镜
      Parameters:
        `id` - 动态滤镜ID

    - #### clearAnimationFilters

          public void clearAnimationFilters()

      清空动态滤镜

    - #### addTimeFilter

          public void addTimeFilter(TimeFilter timeFilter)

      添加时间滤镜特效
      Parameters:
        `timeFilter` - 时间滤镜特效

    - #### getAllTimeFilters

          public java.util.List<TimeFilter> getAllTimeFilters()

      获取时间滤镜特效列表
      Returns:
        时间滤镜特效列表

    - #### removeTimeFilter

          public void removeTimeFilter(int id)

      移除时间滤镜特效
      Parameters:
        `id` - 特效id

    - #### clearTimeFilters

          public void clearTimeFilters()

      清空时间滤镜特效

    - #### addPasterTrack

          public void addPasterTrack(PasterTrack pasterTrack)

      添加贴纸轨道
      Parameters:
        `pasterTrack` - 贴纸轨道

    - #### removePasterTrack

          public void removePasterTrack(int id)

      移除贴纸轨道
      Parameters:
        `id` - 贴纸ID

    - #### getPasterTrackByID

          public PasterTrack getPasterTrackByID(int id)

      根据贴纸ID获取贴纸详细信息
      Parameters:
        `id` - 贴纸ID
      Returns:
        贴纸详细信息

    - #### getPasterTrackByType

          public java.util.List<PasterTrack> getPasterTrackByType(PasterTrack.Type type)

      根据贴纸类别获取指定的贴纸列表
      Parameters:
        `type` - 贴纸类别
      Returns:
        贴纸列表

    - #### refreshTimeLine

          public void refreshTimeLine()

      刷新时间线